Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79080 - cc1plus died when compiling Matlab .cpp source code
Summary: cc1plus died when compiling Matlab .cpp source code
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-05 13:46 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 10:48:12 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-12-05 13:46:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
cc1plus comsued LOTS of time, eat LOTS of memory and swap space, 
then crashed.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.I was using Mathworks Inc.'s Matlab (Release 12.1) C++ compiler, 
  the "mbuild" script, to compile a .cpp file into objective file.
2. The .cpp source file is written in Matlab's C++ syntax.
3. The command was:
   mbuild -I./include -c xxxx.cpp
	

Actual Results:  After 379m54.223s real time, 19m40.460s user time, and 2m28.460s
sys time, and consumed more than 200M size and 90M physical
memory (I used top to monitor the cc1plus process), cc1plus finally
crashed. 


Expected Results:  It should produce a xxxx.o objective file after successful
mbuild, 
as did on another computer (Dell Inspiron 4100 laptop, running
the same Redhat Linux  7.1 with 256 MB memory and a P3 mobile 0.86GHZ
CPU, and the same Matlab(Release 12.1) C++ compiler for Linux)

Additional info:

Error message was:
g++: Internal error: Killed (program cc1plus)
Please submit a full bug report to 
http://bugzilla.redhat.com/bugzilla
  mbuild:  compile of ".xxxx.cpp" failed.
make: ****[xxxx.o] Error 1

Hardware: Dell Dimension XPS Pro 200N (1996 model)
CPU: Pentium Pro 200 MHz
Physical Memory: 128 MB
Hard drive: 11 GB
OS: Redhat Linux 7.1

Comment 1 Richard Henderson 2004-10-03 10:48:12 UTC
No test case or pointer to test case.  Two years old.


Note You need to log in before you can comment on or make changes to this bug.